com.impinj.octane

## Class Status

- java.lang.Object
- - com.impinj.octane.Status

-     public class Status
      extends java.lang.Object

  The status class holds information on the current status of reader functions.
  See Also:
    `ImpinjReader.queryStatus()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Status()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntennaHubStatusGroup` | `getAntennaHubStatusGroup()`
    `AntennaStatusGroup` | `getAntennaStatusGroup()`
    `GpiStatusGroup` | `getGpiStatusGroup()`
    `boolean` | `getIsConnected()`
    `boolean` | `getIsSingulating()`
    `short` | `getTemperatureCelsius()`
    `TiltSensorValue` | `getTiltSensorValue()`
    `protected void` | `setAntennaHubStatusGroup(AntennaHubStatusGroup ah)`
    `protected void` | `setAntennaStatusGroup(AntennaStatusGroup a)`
    `protected void` | `setGpiStatusGroup(GpiStatusGroup g)`
    `protected void` | `setIsConnected(boolean ic)`
    `protected void` | `setIsSingulating(boolean is)`
    `protected void` | `setTemperatureCelsius(short tc)`
    `protected void` | `setTiltSensorValue(TiltSensorValue tc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Status

          public Status()

  - ### Method Detail

    - #### getAntennaStatusGroup

          public AntennaStatusGroup getAntennaStatusGroup()

      Returns:
        antenna Status for the set of reader antennas

    - #### setAntennaStatusGroup

          protected void setAntennaStatusGroup(AntennaStatusGroup a)

    - #### getGpiStatusGroup

          public GpiStatusGroup getGpiStatusGroup()

      Returns:
        the gpi status for the readers gpis

    - #### setGpiStatusGroup

          protected void setGpiStatusGroup(GpiStatusGroup g)

    - #### getAntennaHubStatusGroup

          public AntennaHubStatusGroup getAntennaHubStatusGroup()

      Returns:
        the antenna hub status for any connected antenna hubs

    - #### setAntennaHubStatusGroup

          protected void setAntennaHubStatusGroup(AntennaHubStatusGroup ah)

    - #### getIsConnected

          public boolean getIsConnected()

      Returns:
        true if the reader is connected

    - #### setIsConnected

          protected void setIsConnected(boolean ic)

    - #### getIsSingulating

          public boolean getIsSingulating()

      Returns:
        true if the reader is performing inventory

    - #### setIsSingulating

          protected void setIsSingulating(boolean is)

    - #### getTemperatureCelsius

          public short getTemperatureCelsius()

      Returns:
        the current temperature as measured in the reader enclosure

    - #### setTemperatureCelsius

          protected void setTemperatureCelsius(short tc)

    - #### getTiltSensorValue

          public TiltSensorValue getTiltSensorValue()

      Returns:
        the current Tilt values from readers equipped with tilt sensors

    - #### setTiltSensorValue

          protected void setTiltSensorValue(TiltSensorValue tc)